clear

* Set your local directory here
capture cd "C:\Users\agooch\Dropbox\S_GoochHuberTrumpPaper\ReplicationArchive"

use "RawData\CCES2016_CommonContent.dta"
 
set more off

tab cc16_351b // TTP

* Keep people who answered post question about being registered  
keep if votereg_post   == 1
* Must have answered turnout question
keep if cc16_401~=.
* Must place themselves ideologically on 7-point scale
drop if cc16_340a==. | cc16_340a==8

* Binary indicator--report voting
gen report_voting = cc16_401==5

// VOTER CHOICE AND ROLL CALL RECODES

gen trump_voter = (cc16_410a ==1)
gen clinton_voter = (cc16_410a ==2)

recode cc16_351b (2=1) (1=0), gen(TTP_rollcall)
label var TTP_rollcall "Trans-Pacific Partnership Act, 1=Against and 0=For"

// proportion of trump voters AGAINST TTP
summ TTP_rollcall [aweight=commonweight_post] if trump_voter ==1
summ TTP_rollcall [aweight=commonweight_post] if clinton_voter ==1
